<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBookingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bookings
         */
        Schema::create('bookings', function ($table) {
            $table->increments('id');
            $table->integer('provider_id')->nullable();
            $table->integer('service_id')->nullable();
            $table->integer('approved_by')->nullable();
            $table->integer('location_id')->nullable();
            $table->string('reference', 100)->nullable();
            $table->date('date')->nullable();
            $table->time('time')->nullable();
            $table->enum('status', ['Pending','Started','Accepted','Completed'])->nullable();
            $table->text('photos')->nullable();
            $table->text('video')->nullable();
            $table->dateTime('finish_date')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bookings');
    }
}
