<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateProviderAvailabilitiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: provider_availabilities
         */
        Schema::create('provider_availabilities', function ($table) {
            $table->increments('id');
            $table->integer('provider_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->date('date')->nullable();
            $table->time('start_time')->nullable();
            $table->time('end_time')->nullable();
            $table->string('location', 255)->nullable();
            $table->text('description')->nullable();
            $table->string('type', 100)->nullable();
            $table->string('user_type', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('provider_availabilities');
    }
}
