<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateProvidersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: providers
         */
        Schema::create('providers', function ($table) {
            $table->increments('id');
            $table->integer('service_id')->nullable();
            $table->text('bio')->nullable();
            $table->text('service_contract')->nullable();
            $table->integer('medicare')->nullable();
            $table->integer('rate')->nullable();
            $table->integer('rate_type')->nullable();
            $table->enum('availability', ['Yes','No'])->nullable();
            $table->text('profile')->nullable();
            $table->text('idemnity')->nullable();
            $table->text('liability')->nullable();
            $table->integer('policy')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('providers');
    }
}
