<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateQuotesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: quotes
         */
        Schema::create('quotes', function ($table) {
            $table->increments('id');
            $table->integer('booking_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->text('description')->nullable();
            $table->enum('status', ['Accepted','Rejected'])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('quotes');
    }
}
