<?php

// web routes  for provider
Route::prefix('{guard}/service')->group(function () {
    Route::resource('provider', 'ProviderResourceController');
});

// Public routes for provider
Route::get('services/', 'ProviderPublicController@index');
Route::get('services/{slug?}', 'ProviderPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ProviderResourceController');
            });
            // Public routes for pages
            Route::get('services/', 'ProviderPublicController@index');
            Route::get('services/{slug?}', 'ProviderPublicController@show');
        }
    );
}

// web routes  for booking
Route::prefix('{guard}/service')->group(function () {
    Route::resource('booking', 'BookingResourceController');
});

// Public routes for booking
Route::get('services/', 'BookingPublicController@index');
Route::get('services/{slug?}', 'BookingPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'BookingResourceController');
            });
            // Public routes for pages
            Route::get('services/', 'BookingPublicController@index');
            Route::get('services/{slug?}', 'BookingPublicController@show');
        }
    );
}

// web routes  for quote
Route::prefix('{guard}/service')->group(function () {
    Route::resource('quote', 'QuoteResourceController');
});

// Public routes for quote
Route::get('services/', 'QuotePublicController@index');
Route::get('services/{slug?}', 'QuotePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'QuoteResourceController');
            });
            // Public routes for pages
            Route::get('services/', 'QuotePublicController@index');
            Route::get('services/{slug?}', 'QuotePublicController@show');
        }
    );
}

// web routes  for comment
Route::prefix('{guard}/service')->group(function () {
    Route::resource('comment', 'CommentResourceController');
});

// Public routes for comment
Route::get('services/', 'CommentPublicController@index');
Route::get('services/{slug?}', 'CommentPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CommentResourceController');
            });
            // Public routes for pages
            Route::get('services/', 'CommentPublicController@index');
            Route::get('services/{slug?}', 'CommentPublicController@show');
        }
    );
}

// web routes  for subscription
Route::prefix('{guard}/service')->group(function () {
    Route::resource('subscription', 'SubscriptionResourceController');
});

// Public routes for subscription
Route::get('services/', 'SubscriptionPublicController@index');
Route::get('services/{slug?}', 'SubscriptionPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'SubscriptionResourceController');
            });
            // Public routes for pages
            Route::get('services/', 'SubscriptionPublicController@index');
            Route::get('services/{slug?}', 'SubscriptionPublicController@show');
        }
    );
}

// web routes  for provider_availability
Route::prefix('{guard}/service')->group(function () {
    Route::resource('provider_availability', 'ProviderAvailabilityResourceController');
});

// Public routes for provider_availability
Route::get('services/', 'ProviderAvailabilityPublicController@index');
Route::get('services/{slug?}', 'ProviderAvailabilityPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ProviderAvailabilityResourceController');
            });
            // Public routes for pages
            Route::get('services/', 'ProviderAvailabilityPublicController@index');
            Route::get('services/{slug?}', 'ProviderAvailabilityPublicController@show');
        }
    );
}

// web routes  for review
Route::prefix('{guard}/service')->group(function () {
    Route::resource('review', 'ReviewResourceController');
});

// Public routes for review
Route::get('services/', 'ReviewPublicController@index');
Route::get('services/{slug?}', 'ReviewPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ReviewResourceController');
            });
            // Public routes for pages
            Route::get('services/', 'ReviewPublicController@index');
            Route::get('services/{slug?}', 'ReviewPublicController@show');
        }
    );
}

