<?php

namespace B2buy\Service\Forms;

class Booking
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'provider_id' => [
                    "type" => 'numeric',
                    "label" => trans('service::booking.label.provider_id'),
                    "placeholder" => trans('service::booking.placeholder.provider_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'service_id' => [
                    "type" => 'numeric',
                    "label" => trans('service::booking.label.service_id'),
                    "placeholder" => trans('service::booking.placeholder.service_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'approved_by' => [
                    "type" => 'numeric',
                    "label" => trans('service::booking.label.approved_by'),
                    "placeholder" => trans('service::booking.placeholder.approved_by'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'location_id' => [
                    "type" => 'numeric',
                    "label" => trans('service::booking.label.location_id'),
                    "placeholder" => trans('service::booking.placeholder.location_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'reference' => [
                    "type" => 'text',
                    "label" => trans('service::booking.label.reference'),
                    "placeholder" => trans('service::booking.placeholder.reference'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'date' => [
                    "type" => 'date_picker',
                    "label" => trans('service::booking.label.date'),
                    "placeholder" => trans('service::booking.placeholder.date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'time' => [
                    "type" => 'time_picker',
                    "label" => trans('service::booking.label.time'),
                    "placeholder" => trans('service::booking.placeholder.time'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'photos' => [
                    "type" => 'text',
                    "label" => trans('service::booking.label.photos'),
                    "placeholder" => trans('service::booking.placeholder.photos'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'video' => [
                    "type" => 'text',
                    "label" => trans('service::booking.label.video'),
                    "placeholder" => trans('service::booking.placeholder.video'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'finish_date' => [
                    "type" => 'date_time_picker',
                    "label" => trans('service::booking.label.finish_date'),
                    "placeholder" => trans('service::booking.placeholder.finish_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
