<?php

namespace B2buy\Service\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use B2buy\Service\Interfaces\QuoteRepositoryInterface;

class QuotePublicController extends BaseController
{
    // use QuoteWorkflow;

    /**
     * Constructor.
     *
     * @param type \B2buy\Quote\Interfaces\QuoteRepositoryInterface $quote
     *
     * @return type
     */
    public function __construct(QuoteRepositoryInterface $quote)
    {
        $this->repository = $quote;
        parent::__construct();
    }

    /**
     * Show quote's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $quotes = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('service::quote.names'))
            ->view('service::public.quote.index')
            ->data(compact('quotes'))
            ->output();
    }


    /**
     * Show quote.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $quote = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($quote->name . trans('service::quote.name'))
            ->view('service::public.quote.show')
            ->data(compact('quote'))
            ->output();
    }

}
