<?php

namespace B2buy\Service\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Provider policy
        'B2buy\Service\Models\Provider' => \B2buy\Service\Policies\ProviderPolicy::class,// Bind Booking policy
        'B2buy\Service\Models\Booking' => \B2buy\Service\Policies\BookingPolicy::class,// Bind Quote policy
        'B2buy\Service\Models\Quote' => \B2buy\Service\Policies\QuotePolicy::class,// Bind Comment policy
        'B2buy\Service\Models\Comment' => \B2buy\Service\Policies\CommentPolicy::class,// Bind Subscription policy
        'B2buy\Service\Models\Subscription' => \B2buy\Service\Policies\SubscriptionPolicy::class,// Bind ProviderAvailability policy
        'B2buy\Service\Models\ProviderAvailability' => \B2buy\Service\Policies\ProviderAvailabilityPolicy::class,// Bind Review policy
        'B2buy\Service\Models\Review' => \B2buy\Service\Policies\ReviewPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
