<?php

namespace B2buy\Service\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BookingTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Service\Models\Booking $booking)
    {
        return [
            'id'                => $booking->getRouteKey(),
            'key'               => [
                'public'    => $booking->getPublicKey(),
                'route'     => $booking->getRouteKey(),
            ], 
            'provider_id'       => $booking->provider_id,
            'service_id'        => $booking->service_id,
            'approved_by'       => $booking->approved_by,
            'location_id'       => $booking->location_id,
            'reference'         => $booking->reference,
            'date'              => $booking->date,
            'time'              => $booking->time,
            'photos'            => $booking->photos,
            'video'             => $booking->video,
            'finish_date'       => $booking->finish_date,
            'user_id'           => $booking->user_id,
            'user_type'         => $booking->user_type,
            'deleted_at'        => $booking->deleted_at,
            'url'               => [
                'public'    => trans_url('service/'.$booking->getPublicKey()),
                'user'      => guard_url('service/booking/'.$booking->getRouteKey()),
            ], 
            'status'            => trans('app.'.$booking->status),
            'created_at'        => format_date($booking->created_at),
            'updated_at'        => format_date($booking->updated_at),
        ];
    }
}