<?php

namespace B2buy\Service\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CommentTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Service\Models\Comment $comment)
    {
        return [
            'id'                => $comment->getRouteKey(),
            'key'               => [
                'public'    => $comment->getPublicKey(),
                'route'     => $comment->getRouteKey(),
            ], 
            'quote_id'          => $comment->quote_id,
            'user_id'           => $comment->user_id,
            'name'              => $comment->name,
            'user_type'         => $comment->user_type,
            'booking_id'        => $comment->booking_id,
            'url'               => [
                'public'    => trans_url('service/'.$comment->getPublicKey()),
                'user'      => guard_url('service/comment/'.$comment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$comment->status),
            'created_at'        => format_date($comment->created_at),
            'updated_at'        => format_date($comment->updated_at),
        ];
    }
}