<?php

namespace B2buy\Service\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProviderAvailabilityTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Service\Models\ProviderAvailability $provider_availability)
    {
        return [
            'id'                => $provider_availability->getRouteKey(),
            'key'               => [
                'public'    => $provider_availability->getPublicKey(),
                'route'     => $provider_availability->getRouteKey(),
            ], 
            'provider_id'       => $provider_availability->provider_id,
            'user_id'           => $provider_availability->user_id,
            'date'              => $provider_availability->date,
            'start_time'        => $provider_availability->start_time,
            'end_time'          => $provider_availability->end_time,
            'location'          => $provider_availability->location,
            'description'       => $provider_availability->description,
            'type'              => $provider_availability->type,
            'user_type'         => $provider_availability->user_type,
            'deleted_at'        => $provider_availability->deleted_at,
            'url'               => [
                'public'    => trans_url('service/'.$provider_availability->getPublicKey()),
                'user'      => guard_url('service/provider_availability/'.$provider_availability->getRouteKey()),
            ], 
            'status'            => trans('app.'.$provider_availability->status),
            'created_at'        => format_date($provider_availability->created_at),
            'updated_at'        => format_date($provider_availability->updated_at),
        ];
    }
}