<?php

namespace B2buy\Service\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProviderTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Service\Models\Provider $provider)
    {
        return [
            'id'                => $provider->getRouteKey(),
            'key'               => [
                'public'    => $provider->getPublicKey(),
                'route'     => $provider->getRouteKey(),
            ], 
            'service_id'        => $provider->service_id,
            'bio'               => $provider->bio,
            'service_contract'  => $provider->service_contract,
            'medicare'          => $provider->medicare,
            'rate'              => $provider->rate,
            'rate_type'         => $provider->rate_type,
            'availability'      => $provider->availability,
            'profile'           => $provider->profile,
            'idemnity'          => $provider->idemnity,
            'liability'         => $provider->liability,
            'policy'            => $provider->policy,
            'user_id'           => $provider->user_id,
            'user_type'         => $provider->user_type,
            'deleted_at'        => $provider->deleted_at,
            'url'               => [
                'public'    => trans_url('service/'.$provider->getPublicKey()),
                'user'      => guard_url('service/provider/'.$provider->getRouteKey()),
            ], 
            'status'            => trans('app.'.$provider->status),
            'created_at'        => format_date($provider->created_at),
            'updated_at'        => format_date($provider->updated_at),
        ];
    }
}