<?php

namespace B2buy\Service\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class QuoteTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Service\Models\Quote $quote)
    {
        return [
            'id'                => $quote->getRouteKey(),
            'key'               => [
                'public'    => $quote->getPublicKey(),
                'route'     => $quote->getRouteKey(),
            ], 
            'booking_id'        => $quote->booking_id,
            'name'              => $quote->name,
            'description'       => $quote->description,
            'user_id'           => $quote->user_id,
            'user_type'         => $quote->user_type,
            'deleted_at'        => $quote->deleted_at,
            'url'               => [
                'public'    => trans_url('service/'.$quote->getPublicKey()),
                'user'      => guard_url('service/quote/'.$quote->getRouteKey()),
            ], 
            'status'            => trans('app.'.$quote->status),
            'created_at'        => format_date($quote->created_at),
            'updated_at'        => format_date($quote->updated_at),
        ];
    }
}