<?php

namespace B2buy\Service\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReviewTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Service\Models\Review $review)
    {
        return [
            'id'                => $review->getRouteKey(),
            'key'               => [
                'public'    => $review->getPublicKey(),
                'route'     => $review->getRouteKey(),
            ], 
            'company_id'        => $review->company_id,
            'title'             => $review->title,
            'rating'            => $review->rating,
            'review'            => $review->review,
            'provider_id'       => $review->provider_id,
            'slug'              => $review->slug,
            'user_id'           => $review->user_id,
            'deleted_at'        => $review->deleted_at,
            'url'               => [
                'public'    => trans_url('service/'.$review->getPublicKey()),
                'user'      => guard_url('service/review/'.$review->getRouteKey()),
            ], 
            'status'            => trans('app.'.$review->status),
            'created_at'        => format_date($review->created_at),
            'updated_at'        => format_date($review->updated_at),
        ];
    }
}