<?php

namespace B2buy\Service\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubscriptionTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Service\Models\Subscription $subscription)
    {
        return [
            'id'                => $subscription->getRouteKey(),
            'key'               => [
                'public'    => $subscription->getPublicKey(),
                'route'     => $subscription->getRouteKey(),
            ], 
            'company_id'        => $subscription->company_id,
            'user_id'           => $subscription->user_id,
            'job_id'            => $subscription->job_id,
            'booking_id'        => $subscription->booking_id,
            'repeat_interval'   => $subscription->repeat_interval,
            'start_date'        => $subscription->start_date,
            'end_date'          => $subscription->end_date,
            'user_type'         => $subscription->user_type,
            'deleted_at'        => $subscription->deleted_at,
            'url'               => [
                'public'    => trans_url('service/'.$subscription->getPublicKey()),
                'user'      => guard_url('service/subscription/'.$subscription->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subscription->status),
            'created_at'        => format_date($subscription->created_at),
            'updated_at'        => format_date($subscription->updated_at),
        ];
    }
}